package com.red.circle.game.fruit.application.service;

import com.red.circle.game.fruit.application.dto.cmd.GameFruitOpenBoxCmd;
import com.red.circle.game.fruit.application.dto.cmd.GameFruitReceiveTaskAwardCmd;


/**
 * 游戏任务服务
 *
 * @author zongpubin on 2023/12/12
 */
public interface GameFruitTaskService {

  void boxRewards(Long userId);

  void openBox(GameFruitOpenBoxCmd cmd);

  void gameTimes(Long userId);

  void gameTaskInfo(Long userId);

  void gameFruitReceiveUser(Long userId);

  void gameFruitReceiveTaskAward(GameFruitReceiveTaskAwardCmd cmd);
}
